﻿@model ProgramRespondToInvitationViewModel


<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                {{Model.ProgramName}}
            </h1>
        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <label>Response</label>
    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.RespondType)>
        <div @Html.AngTooltipValidationFor(model => model.RespondType)>

            <select chosen ng-model="@Html.Ang(m => m.RespondType)"
                    name="selectedRespondType" data-placeholder="Response..."
                    ng-options="obj.Value as obj.Text for obj in Model.ListOfRespondTypes"></select>
        </div>
    </div>
    <form novalidate>

        <fieldset ng-show="Model.RespondType==1">
            <legend>Please tell us your availability for conducting this class</legend>
            <div>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input ng-model="@Html.Ang(model => model.AvailableAnyDay)" type="checkbox">
                        <span class="check"></span>
                        Available any day
                    </label>
                </div>
                <div class="clearfix"></div>

                <label ng-show="!Model.AvailableAnyDay">1st day preference</label>
                <div ng-show="!Model.AvailableAnyDay" class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.FirstDayPreference)>
                    <div @Html.AngTooltipValidationFor(model => model.FirstDayPreference)>

                        <select chosen ng-model="@Html.Ang(m => m.FirstDayPreference)"
                                name="selectedFirstDayPreference" data-placeholder="Select 1st day preference"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfFirstDaysOfWeek"></select>
                    </div>
                </div>
                <label ng-show="!Model.AvailableAnyDay">2nd day preference</label>
                <div ng-show="!Model.AvailableAnyDay" class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SecondDayPreference)>
                    <div @Html.AngTooltipValidationFor(model => model.SecondDayPreference)>

                        <select chosen ng-model="@Html.Ang(m => m.SecondDayPreference)"
                                name="selectedSecondDayPreference" data-placeholder="Select 2nd day preference"
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfSecondDaysOfWeek"></select>
                    </div>
                </div>
            </div>
        </fieldset>
        <fieldset ng-show="Model.RespondType==2">
            <legend>Please explain what modification you would like to request to the invitation.</legend>
            <div>
                <label>Note</label>
                <div class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model => model.Note)>
                    <textarea ng-model="@Html.Ang(m => m.Note)" @Html.AngTooltipValidationFor(model => model.Note)></textarea>
                </div>

            </div>
        </fieldset>
        <fieldset ng-show="Model.RespondType==3">
            <legend>Please indicate the reason for declining the invitation.</legend>

            <div>
                <label>Reason</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.DeclineResaon)>
                    <div @Html.AngTooltipValidationFor(model => model.DeclineResaon)>

                        <select chosen ng-model="@Html.Ang(m => m.DeclineResaon)"
                                name="selectedDeclineResaon" data-placeholder="Decline reason..."
                                ng-options="obj.Value as obj.Text for obj in Model.ListOfDeclineResaons"></select>
                    </div>
                </div>
                <label ng-show="Model.DeclineResaon==4">Note</label>
                <div ng-show="Model.DeclineResaon==4" class="input-control textarea" data-role="input-control" @Html.AngValidationClassFor(model => model.Note)>
                    <textarea ng-model="@Html.Ang(m => m.Note)" @Html.AngTooltipValidationFor(model => model.Note)></textarea>
                </div>

            </div>

        </fieldset>

    </form>

    <hr />

    <button type="button" class="success place-right large button" data-ng-click="save()">Submit</button>
    <button type="button" class="link place-left large button" onclick="window.history.back()">Cancel</button>

    <div class="clearfix"></div>

</div>

